| Flutter iOS Embedder |

Instance Methods | Properties | List of all members
FakeUIKey Class Reference

`#import <FlutterFakeKeyEvents.h>`

Inheritance diagram for FakeUIKey:

## Instance Methods
(instancetype) | - initWithData:modifierFlags:characters:charactersIgnoringModifiers:
(UIKeyboardHIDUsage) | - keyCode
(UIKeyModifierFlags) | - modifierFlags
(NSString *) | - characters
(NSString *) | - charactersIgnoringModifiers

## Properties
UIKeyboardHIDUsage | dataKeyCode
UIKeyModifierFlags | dataModifierFlags
NSString * | dataCharacters
NSString * | dataCharactersIgnoringModifiers

## Detailed Description

Definition at line 33 of file FlutterFakeKeyEvents.h.

## Method Documentation

## ◆ characters

- (NSString*) characters |  |  |

Referenced by initWithData:modifierFlags:characters:charactersIgnoringModifiers:.

## ◆ charactersIgnoringModifiers

- (NSString*) charactersIgnoringModifiers |  |  |

Referenced by initWithData:modifierFlags:characters:charactersIgnoringModifiers:.

## ◆ initWithData:modifierFlags:characters:charactersIgnoringModifiers:

- (instancetype) initWithData: |  | (UIKeyboardHIDUsage) | keyCode
modifierFlags: |  | (UIKeyModifierFlags) | modifierFlags
characters: |  | (NSString*) | characters
charactersIgnoringModifiers: |  | (ios(13.4)) | API_AVAILABLE

Definition at line 46 of file FlutterFakeKeyEvents.mm.

46 :(UIKeyboardHIDUsage)keyCode
47 modifierFlags:(UIKeyModifierFlags)modifierFlags
48 characters:(NSString*)characters
49 charactersIgnoringModifiers:(NSString*)charactersIgnoringModifiers API_AVAILABLE(ios(13.4)) {
50 self = [super init];
51 if (self) {
52 _dataKeyCode = keyCode;
53 _dataModifierFlags = modifierFlags;
54 _dataCharacters = characters;
55 _dataCharactersIgnoringModifiers = charactersIgnoringModifiers;
56 }
57 return self;
58 }

References characters, charactersIgnoringModifiers, keyCode, and modifierFlags.

## ◆ keyCode

- (UIKeyboardHIDUsage) keyCode |  |  |

Referenced by initWithData:modifierFlags:characters:charactersIgnoringModifiers:.

## ◆ modifierFlags

- (UIKeyModifierFlags) modifierFlags |  |  |

Referenced by initWithData:modifierFlags:characters:charactersIgnoringModifiers:.

## Property Documentation

## ◆ dataCharacters

- (NSString*) dataCharacters
| readwritenonatomicassign

Definition at line 46 of file FlutterFakeKeyEvents.h.

## ◆ dataCharactersIgnoringModifiers

- (NSString*) dataCharactersIgnoringModifiers
| readwritenonatomicassign

Definition at line 47 of file FlutterFakeKeyEvents.h.

## ◆ dataKeyCode

- (UIKeyboardHIDUsage) dataKeyCode
| readwritenonatomicassign

Definition at line 44 of file FlutterFakeKeyEvents.h.

## ◆ dataModifierFlags

- (UIKeyModifierFlags) dataModifierFlags
| readwritenonatomicassign

Definition at line 45 of file FlutterFakeKeyEvents.h.

The documentation for this class was generated from the following files:

- shell/platform/darwin/ios/framework/Source/FlutterFakeKeyEvents.h
- shell/platform/darwin/ios/framework/Source/FlutterFakeKeyEvents.mm

-[FakeUIKey keyCode]
UIKeyboardHIDUsage keyCode()
API_AVAILABLE
UITextSmartQuotesType smartQuotesType API_AVAILABLE(ios(11.0))
-[FakeUIKey characters]
NSString * characters()
-[FakeUIKey charactersIgnoringModifiers]
NSString * charactersIgnoringModifiers()
-[FakeUIKey modifierFlags]
UIKeyModifierFlags modifierFlags()